%define upstream_name    RDF-NS
%define upstream_version 20160409

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Popular RDF namespace prefixes from prefix.cc as RDF::Trine nodes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/RDF/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(Module::Build::Tiny) >= 0.39.0
BuildArch:  noarch

%description
Hardcoding URI namespaces and prefixes for RDF applications is neither fun
nor maintainable. In the end we all use more or less the same prefix
definitions, as collected at the http://prefix.cc manpage. This module
includes all these prefixes as defined at specific snapshots in time. These
snapshots correspond to version numbers of this module. By selecting
particular versions, you make sure that changes at prefix.cc won't affect
your scripts.

The command line client the rdfns manpage is installed automatically with
this module:

  $ rdfns -ttl rdf,foaf
  @prefix foaf: <http://xmlns.com/foaf/0.1/> .
  @prefix rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#> .

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build CFLAGS="%{optflags}"


%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/rdfns
%{_mandir}/man1/rdfns.1*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 20160409.0.0-3pclos2017
- rebuild against updates

